Skip to main content
`Ctrl`+`K`

# PetscSegBufferUnuse

return some unused entries obtained with an overzealous `PetscSegBufferGet()`

## Synopsis

    PetscErrorCode PetscSegBufferUnuse(PetscSegBuffer seg, PetscCount unused)

Not Collective, No Fortran Support

## Input Parameters

- seg - `PetscSegBuffer` object

- unused - number of unused units to return

## See Also

`PetscSegBuffer`, `PetscSegBufferCreate()`, `PetscSegBufferGet()`

## Level

developer

## Location

src/sys/utils/segbuffer.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages